_grk_header_info Struct Reference

Header info. More...

`#include <grok.h>`

## Public Attributes

GRK_SUPPORTED_FILE_FMT | decompressFormat
bool | forceRGB
bool | upsample
grk_precision * | precision
uint32_t | numPrecision
bool | splitByComponent
bool | singleTileDecompress
uint32_t | cblockw_init
| initial code block width, default to 64
uint32_t | cblockh_init
| initial code block height, default to 64
bool | irreversible
| 1 : use the irreversible DWT 9-7, 0 : use lossless compression (default)
uint32_t | mct
| multi-component transform identifier
uint16_t | rsiz
| RSIZ value To be used to combine GRK_PROFILE_*, GRK_EXTENSION_* and (sub)levels values.
uint32_t | numresolutions
| number of resolutions
uint8_t | csty
uint8_t | cblk_sty
uint32_t | prcw_init [GRK_J2K_MAXRLVLS]
| initial precinct width
uint32_t | prch_init [GRK_J2K_MAXRLVLS]
| initial precinct height
uint32_t | tx0
| XTOsiz.
uint32_t | ty0
| YTOsiz.
uint32_t | t_width
| XTsiz.
uint32_t | t_height
| YTsiz.
uint32_t | t_grid_width
| tile grid width
uint32_t | t_grid_height
| tile grid height
uint16_t | numlayers
| number of layers
uint8_t * | xml_data
size_t | xml_data_len
size_t | num_comments
char * | comment [GRK_NUM_COMMENTS_SUPPORTED]
uint16_t | comment_len [GRK_NUM_COMMENTS_SUPPORTED]
bool | isBinaryComment [GRK_NUM_COMMENTS_SUPPORTED]
grk_asoc | asocs [GRK_NUM_ASOC_BOXES_SUPPORTED]
uint32_t | num_asocs

## Detailed Description

Header info.

## Member Data Documentation

## asocs

grk_asoc _grk_header_info::asocs[GRK_NUM_ASOC_BOXES_SUPPORTED]

Referenced by grk::FileFormatDecompress::readHeader().

## cblk_sty

uint8_t _grk_header_info::cblk_sty

Referenced by grk::CodeStreamDecompress::readHeader().

## cblockh_init

uint32_t _grk_header_info::cblockh_init

initial code block height, default to 64

Referenced by grk::CodeStreamDecompress::readHeader().

## cblockw_init

uint32_t _grk_header_info::cblockw_init

initial code block width, default to 64

Referenced by grk::CodeStreamDecompress::readHeader().

## comment

char* _grk_header_info::comment[GRK_NUM_COMMENTS_SUPPORTED]

Referenced by grk::CodeStreamDecompress::readHeader().

## comment_len

uint16_t _grk_header_info::comment_len[GRK_NUM_COMMENTS_SUPPORTED]

Referenced by grk::CodeStreamDecompress::readHeader().

## csty

uint8_t _grk_header_info::csty

Referenced by grk::CodeStreamDecompress::readHeader().

## decompressFormat

GRK_SUPPORTED_FILE_FMT _grk_header_info::decompressFormat

Referenced by grk::CodeStreamDecompress::readHeader().

## forceRGB

bool _grk_header_info::forceRGB

Referenced by grk::CodeStreamDecompress::readHeader().

## irreversible

bool _grk_header_info::irreversible

1 : use the irreversible DWT 9-7, 0 : use lossless compression (default)

Referenced by grk::CodeStreamDecompress::readHeader().

## isBinaryComment

bool _grk_header_info::isBinaryComment[GRK_NUM_COMMENTS_SUPPORTED]

Referenced by grk::CodeStreamDecompress::readHeader().

## mct

uint32_t _grk_header_info::mct

multi-component transform identifier

Referenced by grk::CodeStreamDecompress::readHeader().

## num_asocs

uint32_t _grk_header_info::num_asocs

Referenced by grk::FileFormatDecompress::readHeader().

## num_comments

size_t _grk_header_info::num_comments

Referenced by grk::CodeStreamDecompress::readHeader().

## numlayers

uint16_t _grk_header_info::numlayers

number of layers

Referenced by grk::CodeStreamDecompress::readHeader().

## numPrecision

uint32_t _grk_header_info::numPrecision

Referenced by grk::CodeStreamDecompress::readHeader().

## numresolutions

uint32_t _grk_header_info::numresolutions

number of resolutions

Referenced by grk::CodeStreamDecompress::readHeader().

## prch_init

uint32_t _grk_header_info::prch_init[GRK_J2K_MAXRLVLS]

initial precinct height

Referenced by grk::CodeStreamDecompress::readHeader().

## prcw_init

uint32_t _grk_header_info::prcw_init[GRK_J2K_MAXRLVLS]

initial precinct width

Referenced by grk::CodeStreamDecompress::readHeader().

## precision

grk_precision* _grk_header_info::precision

Referenced by grk::CodeStreamDecompress::readHeader().

## rsiz

uint16_t _grk_header_info::rsiz

RSIZ value To be used to combine GRK_PROFILE_*, GRK_EXTENSION_* and (sub)levels values.

Referenced by grk::CodeStreamDecompress::readHeader().

## singleTileDecompress

bool _grk_header_info::singleTileDecompress

Referenced by grk::CodeStreamDecompress::readHeader().

## splitByComponent

bool _grk_header_info::splitByComponent

Referenced by grk::CodeStreamDecompress::readHeader().

## t_grid_height

uint32_t _grk_header_info::t_grid_height

tile grid height

Referenced by grk::CodeStreamDecompress::readHeader().

## t_grid_width

uint32_t _grk_header_info::t_grid_width

tile grid width

Referenced by grk::CodeStreamDecompress::readHeader().

## t_height

uint32_t _grk_header_info::t_height

YTsiz.

Referenced by grk::CodeStreamDecompress::readHeader().

## t_width

uint32_t _grk_header_info::t_width

XTsiz.

Referenced by grk::CodeStreamDecompress::readHeader().

## tx0

uint32_t _grk_header_info::tx0

XTOsiz.

Referenced by grk::CodeStreamDecompress::readHeader().

## ty0

uint32_t _grk_header_info::ty0

YTOsiz.

Referenced by grk::CodeStreamDecompress::readHeader().

## upsample

bool _grk_header_info::upsample

Referenced by grk::CodeStreamDecompress::readHeader().

## xml_data

uint8_t* _grk_header_info::xml_data

Referenced by grk::FileFormatDecompress::readHeader().

## xml_data_len

size_t _grk_header_info::xml_data_len

Referenced by grk::FileFormatDecompress::readHeader().

The documentation for this struct was generated from the following file:

- grok.h